2

I am newly trying to fix a website that is built using WordPress and hosted by a third provider. The site has not been maintained as best I can tell for about 5 years. My main action so far has been to upgrade to WP 5.0.3.

But when I try to edit any page in the site (having gone in through WP's back end), I get this message on an otherwise blank page: “Please select a CiviCRM front-end page type.”

What does this mean and how do I fix it?

  • 1
    Can you let us know what version of CiviCRM you have? – Kevin Cristiano Feb 12 at 20:38
  • Hm. I can't tell the version, except that the last modification of files was in September 2012. So it was probably the version that was current then or an earlier version. The hosts control panel does not reveal the CiviCRM version. And when I go into WP from the back end and look at the CRM plug in I get another error message -- maybe another clue? – David Minger Feb 12 at 22:01
  • The CRM error in WP is an initialization error. It starts out saying: Initialization Error Array ( [callback] => Array ( [0] => CRM_Core_Error [1] => simpleHandler ) [code] => -24 [message] => DB Error: connect failed [mode] => 16 – David Minger Feb 12 at 22:03
  • That message makes it pretty clear its a dB error (also says type] => DB_Error [user_info] => [nativecode=The server requested authentication method unknown to the client] [to_string] => [db_error: message="DB Error: connect failed" code=-24 mode=callback callback=CRM_Core_Error::simpleHandler prefix="" info=" [nativecode=The server requested authentication method unknown to the client]"] ) – David Minger Feb 12 at 22:04
  • 1
    Aha--was able to dig deeper. CiviCRM version 4.1 – David Minger Feb 12 at 22:17

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.